import { UiComponent } from "./UiComponent";
import { TeamAppsUiContext } from "./TeamAppsUiContext";
import { UiStaticGridLayoutCommandHandler, UiStaticGridLayoutConfig } from "../generated/UiStaticGridLayoutConfig";
import { UiGridLayoutConfig } from "../generated/UiGridLayoutConfig";
export declare class UiStaticGridLayout extends UiComponent<UiStaticGridLayoutConfig> implements UiStaticGridLayoutCommandHandler {
    private $main;
    private layout;
    constructor(config: UiStaticGridLayoutConfig, context: TeamAppsUiContext);
    getMainDomElement(): JQuery;
    updateLayout(descriptor: UiGridLayoutConfig): void;
    onResize(): void;
}
